Summary:        Beep the PC speaker any number of ways
Name:           beep
Version:        1.3
Release:        22%{?dist}

Group:          Applications/System
License:        GPLv2+
URL:            http://www.johnath.com/beep/

# Upstream github repo: https://github.com/johnath/beep
# hun github repo:      https://github.com/ndim/beep

# Alternative source URLs to download:
# curl -L -o beep-github.tar.gz https://api.github.com/repos/johnath/beep/tarball
# curl -L -o beep-g0d790fa.tar.gz https://api.github.com/repos/johnath/beep/tarball/0d790fa
# curl -L -o beep-1.3-gdb6f31a.tar.gz https://api.github.com/repos/johnath/beep/tarball/db6f31a60303e41def1a1d0705164cd5b6d75492
Source0:        http://www.johnath.com/beep/%{name}-%{version}.tar.gz


# Fedora specific files
Source1:        %{name}-README.fedora
Source2:        %{name}-modprobe.conf
Source3:        %{name}.sudoers
Source4:        %{name}.csh
Source5:        %{name}.sh


# Fix from upstream github repo
Patch1:         0001-Fixed-Makefile.patch

# Fix from upstream github repo
Patch2:         0002-Add-more-error-detection.patch

# No sense to add stuff to .gitignore in our source dir
# Patch3:         0003-Gitignorance.patch

# Fix from upstream github repo
Patch4:         0004-also-catch-SIGTERM-for-stopping-the-beep.patch

# Make build/install more user and packaging friendly
# https://github.com/johnath/beep/pull/6
Patch5:         0005-Make-build-install-more-user-and-packaging-friendly.patch

# Preserve file modification time on install
# https://github.com/johnath/beep/pull/6
Patch6:         0006-Preserve-file-modification-time-on-install.patch

# Fix indentation/if brace error
Patch7:         0007-Fix-indentation-if-brace-error.patch

# Apply CVE-2018-0492.patch from Debian package
Patch8:         0008-Apply-CVE-2018-0492.patch-from-Debian-package.patch

BuildRequires:  gcc
BuildRequires:  glibc-kernheaders


%description
Beep allows the user to control the PC speaker with precision,
allowing different sounds to indicate different events. While it
can be run quite happily on the commandline, its intended place
of residence is within shell/perl scripts, notifying the user when
something interesting occurs. Of course, it has no notion of
what's interesting, but it's real good at that notifying part.


%prep
%setup -q
%patch1 -p1 -b 0001
%patch2 -p1 -b 0002
%patch4 -p1 -b 0004
%patch5 -p1 -b 0005
%patch6 -p1 -b 0006
%patch7 -p1 -b 0007
%patch8 -p1 -b 0008
cp -p %{SOURCE1} README.fedora


%build
make %{?_smp_mflags} CFLAGS="${RPM_OPT_FLAGS}"


%install
rm -rf "$RPM_BUILD_ROOT"
make install DESTDIR="$RPM_BUILD_ROOT"

install -d -m 0755 "$RPM_BUILD_ROOT/%{_sysconfdir}/modprobe.d/"
install -p -m 0644 %{SOURCE2} "$RPM_BUILD_ROOT/%{_sysconfdir}/modprobe.d/beep.conf"

install -d -m 0700 "$RPM_BUILD_ROOT/%{_sysconfdir}/sudoers.d/"
install -p -m 0600 %{SOURCE3} "$RPM_BUILD_ROOT/%{_sysconfdir}/sudoers.d/beep"

install -d -m 0755 "$RPM_BUILD_ROOT/%{_sysconfdir}/profile.d/"
install -p -m 0644 %{SOURCE4} %{SOURCE5} "$RPM_BUILD_ROOT/%{_sysconfdir}/profile.d/"



%files
%doc CHANGELOG COPYING CREDITS README
%attr(0755,root,root) %{_bindir}/beep
%{_mandir}/man1/beep.1.gz
%doc README.fedora
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/modprobe.d/beep.conf
%config(noreplace) %attr(0600,root,root) %{_sysconfdir}/sudoers.d/beep
%config %{_sysconfdir}/profile.d/beep.csh
%config %{_sysconfdir}/profile.d/beep.sh


%changelog
* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.3-22
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Apr  3 2018 Hans Ulrich Niedermann <hun@n-dimensional.de> - 1.3-21
- Add CVE-2018-0492 fix.
- Behaviour of multiple -f parameters matches documentation now.

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.3-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.3-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.3-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.3-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue May 31 2016 Hans Ulrich Niedermann <hun@n-dimensional.de> - 1.3-16
- Use more appropriate sox play example in README.fedora
- Make command line examples more readable in README.fedora

* Tue May 31 2016 Hans Ulrich Niedermann <hun@n-dimensional.de> - 1.3-15
- Add shell aliases to allow non-root users to run beep from the shell
- Fix mail address in %%changelog

* Tue May 31 2016 Hans Ulrich Niedermann <hun@n-dimensional.de> - 1.3-14
- Document how non-root users can run beep via sudo (#1133231)
- Remove spec file conditional required in Fedora 12 times

* Mon May 16 2016 Hans Ulrich Niedermann <hun@n-dimensional.de> - 1.3-13
- Remove useless %%defattr for clarity

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.3-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sun Jan 17 2016 Hans Ulrich Niedermann <hun@n-dimensional.de> - 1.3-11
- Do not replace config file modprobe.d/beep.conf (#1087616)

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Aug 15 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Nov 19 2013 Hans Ulrich Niedermann  <hun@n-dimensional.de> - 1.3-7
- Use new upstream tarball beep-1.3.tar.gz (yes, it has changed!)
- Add a few fixes from upstream git repo
- Move our Makefile cleanup to upstream pull request

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 16 2010 Hans Ulrich Niedermann <hun@n-dimensional.de> - 1.3-1
- Update to upstream release beep-1.3

* Fri Jan 22 2010 Hans Ulrich Niedermann <hun@n-dimensional.de> - 1.2.2-6
- Ship modprobe config file with alias for pcspkr on F12 and later

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Sep  7 2008 Hans Ulrich Niedermann <hun@n-dimensional.de> - 1.2.2-3
- Initial package for submission to Fedora
